Skip to main content
GET
/
all-markets
/
prices
List Prices
curl --request GET \
  --url https://api.paxos.com/v2/all-markets/prices
import requests

url = "https://api.paxos.com/v2/all-markets/prices"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.paxos.com/v2/all-markets/prices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "prices": [
    {
      "market": "BTCUSD",
      "current_price": "16627.62",
      "yesterday_price": "16703.29",
      "snapshot_at": "2023-01-03T18:27:40.294528Z"
    },
    {
      "market": "ETHUSD",
      "current_price": "1206.93",
      "yesterday_price": "1216.55",
      "snapshot_at": "2023-01-03T18:27:40.294528Z"
    }
  ]
}

Query Parameters

markets
enum<string>[]
required
Available options:
ETHUSD,
BTCUSD,
PAXGUSD,
BCHUSD,
LTCUSD,
USDPUSD,
LINKUSD,
AAVEUSD,
UNIUSD,
PEPEUSD,
TRUMPUSD,
SHIBUSD,
ARBUSD,
BONKUSD,
ENAUSD,
MNTUSD,
ONDOUSD,
PENGUUSD,
QNTUSD,
RENDERUSD,
SKYUSD,
WIFUSD,
WLDUSD,
DOGEUSD,
AVAXUSD,
SUIUSD

Response

200 - application/json

A successful response.

items
object[]